VULKAN_HPP_NAMESPACE::FenceCreateInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::FenceCreateInfo:
[legend]

## Public Member Functions

| FenceCreateInfo (FenceCreateFlags flags_=FenceCreateFlags())
| FenceCreateInfo (VkFenceCreateInfo const &rhs)
FenceCreateInfo & | operator= (VkFenceCreateInfo const &rhs)
FenceCreateInfo & | setPNext (const void *pNext_)
FenceCreateInfo & | setFlags (FenceCreateFlags flags_)
| operator VkFenceCreateInfo const & () const
| operator VkFenceCreateInfo & ()
bool | operator== (FenceCreateInfo const &rhs) const
bool | operator!= (FenceCreateInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
FenceCreateFlags | flags

## Private Attributes

StructureType | sType = StructureType::eFenceCreateInfo

## Detailed Description

Definition at line 24039 of file vulkan.hpp.

## Constructor & Destructor Documentation

## FenceCreateInfo() [1/2]

VULKAN_HPP_NAMESPACE::FenceCreateInfo::FenceCreateInfo | ( | FenceCreateFlags | flags_ = `FenceCreateFlags()` | ) |

inline

Definition at line 24041 of file vulkan.hpp.

: flags( flags_ )
{
}

## FenceCreateInfo() [2/2]

VULKAN_HPP_NAMESPACE::FenceCreateInfo::FenceCreateInfo | ( | VkFenceCreateInfo const & | rhs | ) |

inline

Definition at line 24046 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( FenceCreateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkFenceCreateInfo &()

VULKAN_HPP_NAMESPACE::FenceCreateInfo::operator VkFenceCreateInfo & | ( |  | ) |

inline

Definition at line 24073 of file vulkan.hpp.

{
return *reinterpret_cast<VkFenceCreateInfo*>(this);
}

## operator VkFenceCreateInfo const &()

VULKAN_HPP_NAMESPACE::FenceCreateInfo::operator VkFenceCreateInfo const & | ( |  | ) | const

inline

Definition at line 24068 of file vulkan.hpp.

{
return *reinterpret_cast<const VkFenceCreateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::FenceCreateInfo::operator!= | ( | FenceCreateInfo const & | rhs | ) | const

inline

Definition at line 24085 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

FenceCreateInfo& VULKAN_HPP_NAMESPACE::FenceCreateInfo::operator= | ( | VkFenceCreateInfo const & | rhs | ) |

inline

Definition at line 24051 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( FenceCreateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::FenceCreateInfo::operator== | ( | FenceCreateInfo const & | rhs | ) | const

inline

Definition at line 24078 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags );
}

References flags, pNext, and sType.

Referenced by operator!=().

## setFlags()

FenceCreateInfo& VULKAN_HPP_NAMESPACE::FenceCreateInfo::setFlags | ( | FenceCreateFlags | flags_ | ) |

inline

Definition at line 24062 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setPNext()

FenceCreateInfo& VULKAN_HPP_NAMESPACE::FenceCreateInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 24056 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## flags

FenceCreateFlags VULKAN_HPP_NAMESPACE::FenceCreateInfo::flags

Definition at line 24095 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::FenceCreateInfo::pNext = nullptr

Definition at line 24094 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::FenceCreateInfo::sType = StructureType::eFenceCreateInfo

private

Definition at line 24091 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::FenceCreateInfo::operator==
bool operator==(FenceCreateInfo const &rhs) const
Definition: vulkan.hpp:24078
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::FenceCreateInfo::flags
FenceCreateFlags flags
Definition: vulkan.hpp:24095
VULKAN_HPP_NAMESPACE::FenceCreateInfo::pNext
const void * pNext
Definition: vulkan.hpp:24094
VULKAN_HPP_NAMESPACE::FenceCreateInfo::FenceCreateInfo
FenceCreateInfo(FenceCreateFlags flags_=FenceCreateFlags())
Definition: vulkan.hpp:24041
VULKAN_HPP_NAMESPACE::FenceCreateInfo::sType
StructureType sType
Definition: vulkan.hpp:24091
VkFenceCreateInfo
Definition: vulkan_core.h:2168
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480